// -*- mode:C++ -*-

// file    : Ac_supply.h
// includes: class declaration for the Supply arbiter and actuator
//



#ifndef _AC_SUPPLY_H
#define _AC_SUPPLY_H

/*
typedef enum 
{
     NONE, MOVE_CMD_ID, CHANGE_VQ_CMD_ID, SAY_CMD_ID
} SUPP_ID;

struct Supply_cmd
{
    char *text;
    float var1;   // variable 1 of the command
    float var2;   // variable 2 of the command
    SUPP_ID type;  // type of the command
    int valid;
    
};
*/
class Ac_supply;


#include "Module.h"
#include "Be_shout.h"
#include "Be_jumpto_defloc.h"
#include "Arbiter.h"

class Ac_supply: public Module {
public:
    Ac_supply();
    ~Ac_supply();
    void Init(EmptySamba *sambapointer);
    void reset () {;}
    void invalidate_all();
    
protected:
    void arbitrate();
    int transform();

    Be_shout *be_shout;
    Be_jumpto_defloc *be_jumpto_defloc;
    Arbiter *arbiter;
    
    View_change_cmd view_change_cmd;
    Supply_cmd cmd;
};

#endif

// end of file



