/*
 * Definitions for UDP c/s program.
 */
#include <stdio.h>
#include <strings.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <fcntl.h>
#include <errno.h>



#define DEFAULT_PORT_NUMBER	6000
#define MAXMESG			1024

#ifdef MEMSET
#define bzero(a, b) memset(a, 0, b)
#endif

typedef struct _socket{
    int			socketfd  ;
    struct sockaddr_in	serv_addr ;
} Socket ;

extern Socket init_connection(char* host, int port) ;
extern int    send_message(char* buf, Socket sock) ;
extern int    receive_message(char *buf, int size, Socket *sock) ;
extern void   message_loop(FILE* fpin, FILE* fpout, Socket sock) ;
extern void   close_connection(Socket sock) ;
